/*
 *    VisNow
 *    Copyright (C) 2006-2019 University of Warsaw, ICM
 *    Copyright (C) 2020 onward visnow.org
 *    All rights reserved. 
 *
 *  This file is part of GNU Classpath.
 *
 *  GNU Classpath is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  GNU Classpath is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Classpath; see the file COPYING.  If not, write to the
 *  University of Warsaw, Interdisciplinary Centre for Mathematical and
 *  Computational Modelling, Pawinskiego 5a, 02-106 Warsaw, Poland.
 *
 *  Linking this library statically or dynamically with other modules is
 *  making a combined work based on this library.  Thus, the terms and
 *  conditions of the GNU General Public License cover the whole
 *  combination.
 *
 *  As a special exception, the copyright holders of this library give you
 *  permission to link this library with independent modules to produce an
 *  executable, regardless of the license terms of these independent
 *  modules, and to copy and distribute the resulting executable under
 *  terms of your choice, provided that you also meet, for each linked
 *  independent module, the terms and conditions of the license of that
 *  module.  An independent module is a module which is not derived from
 *  or based on this library.  If you modify this library, you may extend
 *  this exception to your version of the library, but you are not
 *  obligated to do so.  If you do not wish to do so, delete this
 *  exception statement from your version.
 */
 
package org.visnow.vn.application.frames.portPanels;

import java.awt.Color;
import javax.swing.JButton;
import org.visnow.vn.engine.core.Input;

/**
 *
 * @author gacek
 */
public class InfoInputPanel extends javax.swing.JPanel
{

    private Color OUT;
    private Color IN;
    private Input input;

    /**
     * Creates new form InfoInputPanel
     */
    public InfoInputPanel(Color out, Color in, Input input)
    {
        OUT = out;
        IN = in;
        this.input = input;
        initComponents();
        nameLabel.setText(input.getName());
    }

    /**
     * This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        button = new javax.swing.JButton();
        nameLabel = new javax.swing.JLabel();
        jPanel2 = new javax.swing.JPanel();
        jPanel1 = new javax.swing.JPanel();
        classBox = new javax.swing.JCheckBox();
        triggeringLabel = new javax.swing.JLabel();
        jPanel3 = new javax.swing.JPanel();
        necessaryLabel = new javax.swing.JLabel();
        jPanel6 = new javax.swing.JPanel();
        minLabel = new javax.swing.JLabel();
        maxLabel = new javax.swing.JLabel();
        jPanel4 = new javax.swing.JPanel();
        saturationLabel = new javax.swing.JLabel();
        linksLabel = new javax.swing.JLabel();
        jPanel5 = new javax.swing.JPanel();
        visibleBox = new javax.swing.JCheckBox();

        setBackground(IN);
        setBorder(javax.swing.BorderFactory.createCompoundBorder(javax.swing.BorderFactory.createLineBorder(OUT, 2), javax.swing.BorderFactory.createLineBorder(IN, 3)));

        button.setText("-");
        button.setMargin(new java.awt.Insets(0, 0, 0, 0));

        nameLabel.setText("nulll");

        jPanel2.setOpaque(false);
        jPanel2.setLayout(new java.awt.GridLayout(0, 1));

        jPanel1.setOpaque(false);
        jPanel1.setLayout(new java.awt.GridLayout());

        classBox.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        classBox.setText("class");
        classBox.setOpaque(false);
        classBox.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                classBoxActionPerformed(evt);
            }
        });
        jPanel1.add(classBox);

        triggeringLabel.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        triggeringLabel.setText("triggering");
        jPanel1.add(triggeringLabel);

        jPanel2.add(jPanel1);

        jPanel3.setOpaque(false);
        jPanel3.setLayout(new java.awt.GridLayout());

        necessaryLabel.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        necessaryLabel.setText("necessary");
        jPanel3.add(necessaryLabel);

        jPanel6.setOpaque(false);
        jPanel6.setLayout(new java.awt.GridLayout());

        minLabel.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        minLabel.setText("0 to ");
        jPanel6.add(minLabel);

        maxLabel.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        maxLabel.setText("infinity");
        jPanel6.add(maxLabel);

        jPanel3.add(jPanel6);

        jPanel2.add(jPanel3);

        jPanel4.setOpaque(false);
        jPanel4.setLayout(new java.awt.GridLayout());

        saturationLabel.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        saturationLabel.setText("saturated");
        jPanel4.add(saturationLabel);

        linksLabel.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        linksLabel.setText("0 links");
        jPanel4.add(linksLabel);

        jPanel2.add(jPanel4);

        jPanel5.setOpaque(false);
        jPanel5.setLayout(new java.awt.GridLayout());

        visibleBox.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        visibleBox.setText("visible");
        visibleBox.setOpaque(false);
        jPanel5.add(visibleBox);

        jPanel2.add(jPanel5);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
                layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(layout.createSequentialGroup()
                                .addComponent(button, javax.swing.GroupLayout.PREFERRED_SIZE, 22, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(nameLabel, javax.swing.GroupLayout.DEFAULT_SIZE, 221, Short.MAX_VALUE))
                        .addGroup(layout.createSequentialGroup()
                                .addGap(12, 12, 12)
                                .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, 231, Short.MAX_VALUE)
                                .addContainerGap())
                );
        layout.setVerticalGroup(
                layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(layout.createSequentialGroup()
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                        .addComponent(button)
                                        .addComponent(nameLabel, javax.swing.GroupLayout.PREFERRED_SIZE, 21, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                );
    }// </editor-fold>//GEN-END:initComponents

    private void classBoxActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_classBoxActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_classBoxActionPerformed

    public JButton getButton()
    {
        return button;
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton button;
    private javax.swing.JCheckBox classBox;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JPanel jPanel6;
    private javax.swing.JLabel linksLabel;
    private javax.swing.JLabel maxLabel;
    private javax.swing.JLabel minLabel;
    private javax.swing.JLabel nameLabel;
    private javax.swing.JLabel necessaryLabel;
    private javax.swing.JLabel saturationLabel;
    private javax.swing.JLabel triggeringLabel;
    private javax.swing.JCheckBox visibleBox;
    // End of variables declaration//GEN-END:variables

}
